Rejected-Transaction Notifications
BITSO WILL SOON DEPRECATE THIS SERVICE AND CEASE ITS SUPPORT. AVOID USING IT IN NEW INTEGRATIONS.
The Multi-CLABE API provides a second webhook that sends real-time data about rejected deposits to your application. In future developments, the webhook could also deliver data about other types of events.
To consume the webhook, you must set up and register with Bitso a callback URL, where the webhook will deliver automatic updates on rejected deposits. The service can reject a deposit into a CLABE for several reasons:
- The Multi-CLABE feature is no longer active in your account.
- A Bitso operator has blocked the CLABE because of security matters or lack of payment for the service.
- You have turned the CLABE off. As a result, it is inactive and cannot receive deposits.
For any deposit that the Multi-CLABE service declines, the webhook sends a notification via an HTTP POST method with the corresponding payload, documented below.
Callback URLs that take more than thirty seconds to respond time out.
URL Registration
To register your callback URL, make the following HTTP call with the corresponding body parameter:
PUT https://stage.bitso.com/spei/v1/webhooks
Body Parameters
callback_url: Specifies the URL that receives the data the service sends when it rejects a deposit to one of your account CLABEs. No restrictions exist on the valid character set.
A successful registration sends back the following response body:
{
"success": true,
"payload": "Successfully registered URL: <callback_url>"
}The registered URL must be accessible from the public web so that the webhook can post the updates. Then, consider ways to secure the connection. You can request to your account manager the IP addresses sending the information for you to include them in an allowlist.
Failed Transaction Payload
If you register a callback URL, then when a rejected transaction event occurs on any of the CLABEs linked to your account, the webhook posts a JSON object that represents a failed transaction and includes the following fields in the payload object:
| Field Name | Description | Type |
|---|---|---|
type | The type of event notified. | string |
event | A JSON object containing the details of the reported event. See the description of its elements in the table below. | object |
The elements of the event object are as follows:
| Field Name | Description | Type | Units |
|---|---|---|---|
id | The Bitso-provided ID that uniquely distinguishes the reported event. | string | |
user_id | The Bitso-provided ID that identifies the owner of the account that received the rejected deposit. | integer | |
sender_clabe | The CLABE of the user sending the deposit. | string | |
receiver_clabe | The CLABE intended to receive the deposit but rejected it (it belongs to the account of userId). | string | |
clabe_type | The type of CLABE that rejected the deposit. Possible values: Main, Additional, International, Additional_International | string | |
amount | The amount of the rejected deposit. | string | Currency |
currency | The currency ticker of the rejected deposit. Possible value: mxn | string | |
clave_rastreo | An up to 30-character (alphanumeric) transaction identifier provided by the institution sending the deposit. | string | |
created_at | The date and time when the system created the rejected event. | string | ISO 8601 timestamp |
Updated 16 days ago
